Error
A valid request URL is required to generate request examples{
"results": [
{
"projectUuid": "<string>",
"errorType": "chart",
"error": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"validationId": 123,
"validationUuid": "<string>",
"chartViews": 123,
"source": "chart",
"spaceUuid": "<string>",
"chartName": "<string>",
"lastUpdatedAt": "2023-11-07T05:31:56Z",
"lastUpdatedBy": "<string>",
"tableName": "<string>",
"fieldName": "<string>",
"chartKind": "line",
"chartUuid": "<string>"
}
],
"status": "ok"
}{
"error": {
"name": "<string>",
"statusCode": 123,
"data": "<unknown>",
"message": "<string>"
},
"status": "error"
}Projects
Get validation results
Get validation results for a project. This will return the results of the latest validation job.
GET
/
api
/
v1
/
projects
/
{projectUuid}
/
validate
Error
A valid request URL is required to generate request examples{
"results": [
{
"projectUuid": "<string>",
"errorType": "chart",
"error": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"validationId": 123,
"validationUuid": "<string>",
"chartViews": 123,
"source": "chart",
"spaceUuid": "<string>",
"chartName": "<string>",
"lastUpdatedAt": "2023-11-07T05:31:56Z",
"lastUpdatedBy": "<string>",
"tableName": "<string>",
"fieldName": "<string>",
"chartKind": "line",
"chartUuid": "<string>"
}
],
"status": "ok"
}{
"error": {
"name": "<string>",
"statusCode": 123,
"data": "<unknown>",
"message": "<string>"
},
"status": "error"
}Path Parameters
the projectId for the validation
Query Parameters
boolean to know if this request is made from the settings page, for analytics
optional jobId to get results for a specific job, used on CLI
Was this page helpful?